Name:           perl-DBD-MySQL
Version:        4.050
Release:        3%{?dist}
Summary:        A MySQL interface for Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/DBD-mysql
Source0:        https://cpan.metacpan.org/authors/id/D/DV/DVEEDEN/DBD-mysql-%{version}.tar.gz

BuildRequires:  make, coreutils, findutils, openssl-devel, zlib-devel, gcc
BuildRequires:  mariadb-connector-c, mariadb-connector-c-devel
BuildRequires:  perl-devel, perl-generators, perl-interpreter ,perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp), perl(Config), perl(Data::Dumper), perl(warnings), perl(strict)
BuildRequires:  perl(Devel::CheckLib) >= 1.09, perl(DynaLoader), perl(File::Basename)
BuildRequires:  perl(File::Copy), perl(File::Path), perl(File::Spec), perl(Getopt::Long)
BuildRequires:  perl(DBI) >= 1.609, perl(DBI::DBD), perl(utf8)
BuildRequires:  perl(Test::Deep), perl(Test::More), perl(Time::HiRes), perl-bignum
Requires:       perl-libs
Provides:       perl-DBD-mysql = %{version}-%{release}

%{?perl_default_filter}


%description 
DBD::mysql is the Perl5 Database Interface driver for the MySQL database.
In other words: DBD::mysql is an interface between the Perl programming
language and the MySQL programming API that comes with the MySQL relational
database management system. Most functions provided by this programming
API are supported. Some rarely used functions are missing, mainly because
no-one ever requested them.



%prep
%autosetup -n DBD-mysql-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" \
  NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build



%install
%make_install
%{_fixperms} %{buildroot}/*



%check
make test



%files
%license LICENSE
%doc Changes README.md
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.050-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.050-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 cunshunxia <cunshunxia@tencent.com> - 4.050-1
- initial build
